Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface ElementProperties

All Known Implementing Classes:
  ClassElement, ClassElementNode, ConstructorElement, ConstructorElementNode, Element, ElementNode, FieldElement, FieldElementNode, InitializerElement, InitializerElementNode, MemberElement, MemberElementNode, MethodElement, MethodElementNode, SourceElement

    public interface ElementProperties

Names of properties of elements.

Field Summary
`static String` | `PROP_ALL_CLASSES` Name of `all classes` property for `source elements`.
`static String` | `PROP_BODY` Name of `body` property for `initializers`, `constructors` and `methods`.
`static String` | `PROP_CLASS_OR_INTERFACE` Name of `is class or interface` property for `classes`.
`static String` | `PROP_CLASSES` Name of classes property for `source elements` and `classes`.
`static String` | `PROP_CONSTRUCTORS` Name of `constructors` property for `classes`.
`static String` | `PROP_EXCEPTIONS` Name of `exceptions` property for `constructors` and `methods`.
`static String` | `PROP_FIELDS` Name of `fields` property for `classes`.
`static String` | `PROP_IMPORTS` Name of `imports` property for `source elements`.
`static String` | `PROP_INIT_VALUE` Name of `initial value` property for `field elements`.
`static String` | `PROP_INITIALIZERS` Name of `initializers` property for `classes`.
`static String` | `PROP_INTERFACES` Name of `interfaces` property for `classes`.
`static String` | `PROP_JAVADOC` Name of Javadoc property for all `member elements`.
`static String` | `PROP_MEMBERS` Name of special members property for `class elements`.
`static String` | `PROP_METHODS` Name of `methods` property for `classes`.
`static String` | `PROP_MODIFIERS` Name of `modifiers` property for `classes`, `constructors`, `methods`, and `fields`.
`static String` | `PROP_NAME` Name of `name` property for `classes`, `constructors`, `methods`, and `fields`.
`static String` | `PROP_PACKAGE` Name of `package` property for `source elements`.
`static String` | `PROP_PARAMETERS` Name of `parameters` property for `methods` and `constructors`.
`static String` | `PROP_RETURN` Name of `return value type` property for `methods`.
`static String` | `PROP_STATIC` Name of `static` property for `initializers`.
`static String` | `PROP_STATUS` Name of `status` property for `source elements`.
`static String` | `PROP_SUPERCLASS` Name of `super class` property for `classes`.
`static String` | `PROP_TYPE` Name of `type` property for `field elements`.
`static String` | `PROP_VALID` Name of `validity` property for `Element.Impl2`.

Field Detail

### PROP_TYPE

    static final String PROP_TYPE

  Name of `type` property for `field elements`.

  See Also:
    Constant Field Values

### PROP_INIT_VALUE

    static final String PROP_INIT_VALUE

  Name of `initial value` property for `field elements`.

  See Also:
    Constant Field Values

### PROP_PARAMETERS

    static final String PROP_PARAMETERS

  Name of `parameters` property for `methods` and `constructors`.

  See Also:
    Constant Field Values

### PROP_EXCEPTIONS

    static final String PROP_EXCEPTIONS

  Name of `exceptions` property for `constructors` and `methods`.

  See Also:
    Constant Field Values

### PROP_STATIC

    static final String PROP_STATIC

  Name of `static` property for `initializers`.

  See Also:
    Constant Field Values

### PROP_BODY

    static final String PROP_BODY

  Name of `body` property for `initializers`, `constructors` and `methods`.

  See Also:
    Constant Field Values

### PROP_MODIFIERS

    static final String PROP_MODIFIERS

  Name of `modifiers` property for `classes`, `constructors`, `methods`, and `fields`.

  See Also:
    Constant Field Values

### PROP_NAME

    static final String PROP_NAME

  Name of `name` property for `classes`, `constructors`, `methods`, and `fields`.

  See Also:
    Constant Field Values

### PROP_RETURN

    static final String PROP_RETURN

  Name of `return value type` property for `methods`.

  See Also:
    Constant Field Values

### PROP_PACKAGE

    static final String PROP_PACKAGE

  Name of `package` property for `source elements`.

  See Also:
    Constant Field Values

### PROP_IMPORTS

    static final String PROP_IMPORTS

  Name of `imports` property for `source elements`.

  See Also:
    Constant Field Values

### PROP_CLASSES

    static final String PROP_CLASSES

  Name of classes property for `source elements` and `classes`.

  See Also:
    Constant Field Values

### PROP_ALL_CLASSES

    static final String PROP_ALL_CLASSES

  Name of `all classes` property for `source elements`.

  See Also:
    Constant Field Values

### PROP_INITIALIZERS

    static final String PROP_INITIALIZERS

  Name of `initializers` property for `classes`.

  See Also:
    Constant Field Values

### PROP_METHODS

    static final String PROP_METHODS

  Name of `methods` property for `classes`.

  See Also:
    Constant Field Values

### PROP_FIELDS

    static final String PROP_FIELDS

  Name of `fields` property for `classes`.

  See Also:
    Constant Field Values

### PROP_CONSTRUCTORS

    static final String PROP_CONSTRUCTORS

  Name of `constructors` property for `classes`.

  See Also:
    Constant Field Values

### PROP_SUPERCLASS

    static final String PROP_SUPERCLASS

  Name of `super class` property for `classes`.

  See Also:
    Constant Field Values

### PROP_INTERFACES

    static final String PROP_INTERFACES

  Name of `interfaces` property for `classes`.

  See Also:
    Constant Field Values

### PROP_STATUS

    static final String PROP_STATUS

  Name of `status` property for `source elements`.

  See Also:
    Constant Field Values

### PROP_CLASS_OR_INTERFACE

    static final String PROP_CLASS_OR_INTERFACE

  Name of `is class or interface` property for `classes`.

  See Also:
    Constant Field Values

### PROP_VALID

    static final String PROP_VALID

  Name of `validity` property for `Element.Impl2`.

  See Also:
    Constant Field Values

### PROP_MEMBERS

    static final String PROP_MEMBERS

  Name of special members property for `class elements`.

  See Also:
    Constant Field Values

### PROP_JAVADOC

    static final String PROP_JAVADOC

  Name of Javadoc property for all `member elements`.

  See Also:
    `ClassElement.getJavaDoc()`, `ConstructorElement.getJavaDoc()`, `FieldElement.getJavaDoc()`, `InitializerElement.getJavaDoc()`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.